<div class="row">
    <div class="col-md-12 col-xl-12 page-header-title">
        <h4>Add a Contact</h4>
        <br/>
        <br/>
    </div>
    <form [formGroup]="addcontactform" (ngSubmit)="onSubmitAddContact()">
        <div class="col-md-12 col-xl-12">
            <div class="card card-border-primary"> 
                <div class="card-block row">
                    <div class="col-lg-12 col-xl-12 form-group">
                        <h5><strong><strong>Personal Information</strong></strong></h5>
                        <hr/>
                    </div>  
                    <div class="col-md-2 col-xl-2 form-group">
                        <div class="card rounded-card user-card">
                            <div class="card-body" style="margin-top: 10px;margin-bottom: 10px">
                                <div class="img-hover">
                                    <img class="img-fluid img-circle" src="assets/images/avatar-2.png" alt="round-img">
                                    <div class="img-overlay">
                                        <span>
                                            <a [routerLink]="['/eim/contact']" class="btn btn-sm btn-primary btn-outline-primary" data-popup="lightbox"><i class="icofont icofont-ui-edit"></i></a>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group row ">
                        <div class="col-md-12 col-xl-12 form-group" style="margin-top: 50px">
                            <div class="checkbox-fade fade-in-primary">
                                <label>
                                    <input type="checkbox" value="">
                                    <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                                    <span class="text-inverse">Is an ATC instructor?</span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>First Name</strong></label>
                        <input type="text" class="form-control" id="first_name" formControlName="first_name" placeholder="Your First Name">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.first_name.errors?.required">First Name can't be blank</div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>Last Name</strong></label>
                        <input type="text" class="form-control" id="last_name" formControlName="last_name" placeholder="Your Last Name">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.last_name.errors?.required">Last Name can't be blank</div>
                    </div>
                    <div class="col-md-3 col-xl-3 form-group">
                        <label class="col-form-label"><strong>Honorific</strong></label>
                        <select name="select" class="form-control" id="honorific" formControlName="honorific">
                            <option value="">-- Select Honorific --</option> 
                            <option value="opt1">Mr.</option> 
                            <option value="opt1">Mrs.</option> 
                            <option value="opt1">Ms.</option> 
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.honorific.errors?.required">Honorofic can't be blank</div>
                    </div>
                    <div class="col-md-3 col-xl-3 form-group">
                        <label class="col-form-label"><strong>Gender</strong></label>
                        <select name="select" class="form-control" id="gender" formControlName="gender">
                            <option value="">-- Select Gender --</option> 
                            <option value="opt1">Male</option> 
                            <option value="opt1">Female</option> 
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.gender.errors?.required">Gender can't be blank</div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>Primary Industry</strong></label>
                        <select name="select" class="form-control" id="primary_industry" formControlName="primary_industry">
                            <option value="">-- Select Primary Industry --</option> 
                            <option value="opt1">Education</option> 
                            <option value="opt1">Horizontal Design</option> 
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.primary_industry.errors?.required">Primary Industry can't be blank</div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>First Languange</strong></label>
                        <select name="select" class="form-control" id="first_language" formControlName="first_language">
                            <option value="">-- Select First Languange --</option>
                            <option value="opt1">English</option> 
                            <option value="opt1">Chinnese</option> 
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.first_language.errors?.required">First Languange can't be blank</div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>Second Languange</strong></label>
                        <select name="select" class="form-control" id="second_language" formControlName="second_language">
                            <option value="">-- Select Second Languange --</option>
                            <option value="opt1">English</option> 
                            <option value="opt1">Chinnese</option> 
                        </select>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.second_language.errors?.required">Second Languange can't be blank</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>Address 1</strong></label>
                        <input type="text" class="form-control" id="address1" formControlName="address1" placeholder="Your Address">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.address1.errors?.required">Address 1 can't be blank</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>Address 2</strong></label>
                        <input type="text" class="form-control" id="address2" formControlName="address2" placeholder="Your Address">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.address2.errors?.required">Address 2 can't be blank</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group"> 
                        <label class="col-form-label"><strong>Address 3</strong></label>
                        <input type="text" class="form-control" id="address3" formControlName="address3" placeholder="Your Address">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.address3.errors?.required">Address 3 can't be blank</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>City</strong></label> 
                        <select name="select" class="form-control" id="city" formControlName="city">
                            <option value="">-- Select City --</option>
                            <option value="opt1">Singapore</option> 
                            <option value="opt1">Jakarta</option> 
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.city.errors?.required">City can't be blank</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>State</strong></label> 
                        <select name="select" class="form-control" id="state" formControlName="state">
                            <option value="">-- Select State --</option>
                            <option value="opt1">Central Singapore</option> 
                            <option value="opt1">West Java Indonesia</option> 
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.state.errors?.required">State can't be blank</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group"> 
                        <label class="col-form-label"><strong>Country</strong></label> 
                        <select name="select" class="form-control" id="country" formControlName="country">
                            <option value="">-- Select Country --</option>
                            <option value="opt1">Singapore</option> 
                            <option value="opt1">Indonesia</option> 
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.country.errors?.required">Country can't be blank</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>ZIP / Postal Code</strong></label> 
                        <input type="text" class="form-control" id="postal_code" formControlName="postal_code" placeholder="Your ZIP / Postal Code">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.postal_code.errors?.required">ZIP / Postal Code can't be blank</div>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.postal_code.errors?.number">Postal Code must be number</div>
                    </div>
                    <div class="col-md-8 col-xl-8 form-group">
                        <label class="col-form-label"><strong>Website</strong></label> 
                        <input type="text" class="form-control" id="website" formControlName="website" placeholder="Your Website">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.website.errors?.required">Website can't be blank</div>
                    </div>
                    <div class="col-md-12 col-xl-12 form-group"> 
                        <label class="col-form-label"><strong>Bio</strong></label> 
                        <textarea class="form-control" style="height:100px" id="bio" formControlName="bio" placeholder="Your Bio"></textarea>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.bio.errors?.required">Bio can't be blank</div>
                    </div> 
                    <div class="col-md-6 col-xl-6 form-group">
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">Allow others to see my profile in search results</span>
                          </label>
                        </div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group"></div> 
                    <div class="col-md-4 col-xl-4 form-group">
                        <label class="col-form-label"><strong>Email Address</strong></label>
                        <input type="email" class="form-control" id="email" formControlName="email" placeholder="Your Email" style="margin-top: 3px">
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.email.errors?.required">Email can't be blank</div>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.email.errors?.email">Invalid email address</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group"> 
                        <label class="col-form-label"><strong>Phone Number</strong></label> 
                        <div class="form-inline">
                            <select name="select" class="form-control" style="margin-right: 20px">
                                <option value="opt1">+65</option> 
                                <option value="opt1">+62</option> 
                            </select> 
                            <input type="text" class="form-control" id="phonenumber" formControlName="phonenumber" placeholder="Your Phone Number" style="margin-top: 3px">
                        </div>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.phonenumber.errors?.required">Phone Number can't be blank</div>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.phonenumber.errors?.number">Phone Number must be number</div>
                    </div>
                    <div class="col-sm-4 col-sm-4 form-group">
                        <label class="col-form-label"><strong>Mobile Number</strong></label> 
                        <div class="form-inline">
                            <select name="select" class="form-control" style="margin-right: 20px">
                                <option value="opt1">+65</option> 
                                <option value="opt1">+62</option> 
                            </select> 
                            <input type="text" class="form-control" id="mobilenumber" formControlName="mobilenumber" placeholder="Your Mobile Number" style="margin-top: 3px">
                        </div>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.mobilenumber.errors?.required">Mobile Number can't be blank</div>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.mobilenumber.errors?.number">Mobile Number must be number</div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">Do not send email</span>
                          </label>
                        </div>
                        <br/>
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">Share my email address</span>
                          </label>
                        </div>
                    </div>
                    <div class="col-md-4 col-xl-4 form-group">      
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">Share my phone number</span>
                          </label>
                        </div>
                    </div> 
                    <div class="col-md-4 col-xl-4 form-group">      
                        <div class="checkbox-fade fade-in-primary">
                          <label>
                            <input type="checkbox" value="">
                            <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                            <span class="text-inverse">Share my phone number</span>
                          </label>
                        </div>
                    </div>  
                    <div class="col-lg-12 col-xl-12 form-group" style="margin-top: 50px">
                        <h5><strong><strong>Permissions And Roles</strong></strong></h5>
                        <hr/>
                    </div> 
                    <div class="col-md-12 col-xl-12 form-group">    
                        <label class="col-form-label"><strong>Service Role</strong></label> 
                        <select name="select" class="form-control" id="service_role" formControlName="service_role">
                            <option value="">-- Select Service Role --</option>
                            <option value="opt1">ACI Admin</option>
                            <option value="opt1">ACI Member</option>  
                        </select>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.service_role.errors?.required">Service Role can't be blank</div>
                    </div>
                    <div class="col-lg-12 col-xl-12 form-group" style="margin-top: 50px">
                        <h5><strong><strong>Affiliated Organisations And Sites</strong></strong></h5>
                        <hr/>
                    </div> 
                    <div class="col-md-6 col-xl-6 form-group">    
                        <label class="col-form-label"><strong>Primary Site</strong></label> 
                        <select name="select" class="form-control" id="primary_site" formControlName="primary_site">
                            <option value="">-- Select Primary Site --</option>
                            <option value="opt1">Korean Partner</option>  
                        </select> 
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.primary_site.errors?.required">Primary Site can't be blank</div>
                    </div> 
                    <div class="col-md-6 col-xl-6 form-group">       
                        <label class="col-form-label"><strong>Country</strong></label> 
                        <select name="select" class="form-control" id="country_site" formControlName="country_site">
                            <option value="">-- Select Country --</option>
                            <option value="opt1">Singapore</option> 
                            <option value="opt1">Indonesia</option> 
                        </select>
                        <div class="messages text-danger error" *ngIf="addcontactform.controls.country_site.errors?.required">Country can't be blank</div>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group" style="margin-top: 20px">      
                        <button type="button" (click)="addFieldValue()" class="btn btn-primary btn-md btn-block waves-effect text-center m-b-20"><i class="icofont icofont-ui-add"></i> Add Organization</button>
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">   
                    </div>
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th width="40%">Site Id</th>
                                <th width="40%">Site Name</th>
                                <th width="40%">Site Location</th>
                                <th width="40%">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let field of fieldArray; let i = index">
                                <td>
                                    <input [(ngModel)]="field.site_id" class="form-control" type="text" name="{{field.site_id}}" readonly="true" />
                                </td>
                                <td>
                                    <input [(ngModel)]="field.site_name" class="form-control" type="text" name="{{field.site_name}}" readonly="true"/>
                                </td>
                                <td>
                                    <input [(ngModel)]="field.site_location" class="form-control" type="text" name="{{field.site_location}}" readonly="true"/>
                                </td>
                                <td>
                                    <button (click)="deleteFieldValue(i)" class="btn btn-primary btn-outline-primary" ngbTooltip="Delete Organization"><i class="icofont icofont-delete-alt"></i></button>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input class="form-control" type="text" id="newAttributeSiteId" [(ngModel)]="newAttribute.site_id" name="newAttributeSiteId" readonly="true"/>
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="newAttributeSiteName" [(ngModel)]="newAttribute.site_name" name="newAttributeSiteName" readonly="true"/>
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="newAttributeSiteLocation" [(ngModel)]="newAttribute.site_location" name="newAttributeSiteLocation" readonly="true" />
                                </td>
                                <td>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="col-md-10 col-xl-10 form-group text-right">     
                    </div>
                    <div class="col-md-2 col-xl-2 form-group text-right" style="margin-top: 20px">       
                        <button type="submit" [disabled]="!addcontactform.valid" (click)="openSuccessSwalAddContact()" class="btn btn-success btn-md btn-block waves-effect text-center m-b-20"><i class="icofont icofont-save"></i> Create</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>

   

